Auteur Sujet: Bento à l'essai.  (Lu 2772 fois)

0 Membres et 2 Invités sur ce sujet

Hors ligne avercamp

  • Néophyte
  • *
  • Messages: 35
Bento à l'essai.
« le: 05 février 2015 à 13:02:22 »
Un nouveau sujet pour aider Bento pendant l'essayage de ses nouveaux habits.
Afin que la couturière Mélodie, d'un preste coup de ciseaux, donne fière allure au jeune Bento  :)

Hors ligne melodie

  • Administrateur
  • Membre Héroïque
  • *****
  • Messages: 1682
    • Citrotux
Re : Bento à l'essai.
« Réponse #1 le: 05 février 2015 à 16:05:54 »
Bonjour,

Merci ! Justement, tyrry a fait des fonds que je vais utiliser pour les prochaines Trusty LTS. (Il y a une version RC3 en ligne, et ce qui me fait râler est que je n'arrive plus à avoir le logo au boot du live, ce qui est franchement pas important, mais me contrarie néanmoins grandement).

Et rafaellaguna a pris les fonds en main pour les alléger, car tyrry m'a fourni des images de 3,1 et 3,5 Mo, ce qui est bien trop lourd pour des distros légères (et ne charge pas correctement dans les ordino-vieux_clous).

Good leaders being scarce, following yourself is allowed.

Hors ligne avercamp

  • Néophyte
  • *
  • Messages: 35
Re : Bento à l'essai.
« Réponse #2 le: 06 février 2015 à 00:28:31 »
Citer
les prochaines Trusty LTS. (Il y a une version RC3 en ligne

Pas trouvé de liens.pour essayer.

Hors ligne melodie

  • Administrateur
  • Membre Héroïque
  • *****
  • Messages: 1682
    • Citrotux
Re : Bento à l'essai.
« Réponse #3 le: 06 février 2015 à 14:29:11 »
Good leaders being scarce, following yourself is allowed.

Hors ligne avercamp

  • Néophyte
  • *
  • Messages: 35
Re : Bento à l'essai.
« Réponse #4 le: 10 février 2015 à 16:08:16 »
Essais de sushi-trusty rc3. sur unika.

Midori. Les bugs persistent avec l'utilisation des moteurs de recherche.

Synaptic. Malgré la recharge et la mise à niveau, impossible d'avoir la liste des programmes à installer à partir de la fonction rechercher.

Firefox, absent dans synaptic. Installé avec sudo apt-get install firefox.
Pas de bug avec les moteurs de recherche.

Essais de sushi-trusty sur medion.


Le matériel est un peu plus performant. cpu 2x intel(r) pentium(r) 4 cpu 3.2 ghz, cg ge force8400 gs, ram 1024.

Midori. Pas de bug avec les moteurs de recherche.

Synaptic. Recharge et mise à niveau, normal.
Installation de Firefox, Gdebi, flashplugin-installer sans pb.

Affichage vidéo, avec firefox, youtube, lcp, l'express: normal.
avec Midori, pas d'affichage.

Teamviewer, normal depuis le site.

Hors ligne melodie

  • Administrateur
  • Membre Héroïque
  • *****
  • Messages: 1682
    • Citrotux
Re : Bento à l'essai.
« Réponse #5 le: 12 février 2015 à 20:34:22 »
Bonjour,
Rappelles-moi quelle est la version dans Trusty déjà ? Ah oui, 0.4.3, et même dans Vivid ils sont horriblement en retard sur les versions.

Veux-tu faire un peu de debug avec Midori ? Tu installerais gdb, puis tu le lancerais contre midori, comme ceci:

$ gdb /usr/bin/midori
GNU gdb (GDB) 7.8.2
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/midori...(no debugging symbols found)...done.
(gdb)

Une fois là, tu tapes "run" dans l'invite de commande gdb, et une fois que Midori s'affiche, tu auras à peu près cela dans la console:
(gdb) run
Starting program: /usr/bin/midori
warning: Could not load shared library symbols for linux-vdso.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffe4963700 (LWP 3242)]
[New Thread 0x7fffde958700 (LWP 3243)]
[New Thread 0x7fff9e155700 (LWP 3244)]
[Thread 0x7fff9e155700 (LWP 3244) exited]
[New Thread 0x7fff9e155700 (LWP 3245)]
[New Thread 0x7fff9d542700 (LWP 3246)]
[New Thread 0x7fff973f5700 (LWP 3247)]
[New Thread 0x7fff96bf4700 (LWP 3248)]
[New Thread 0x7fff95fd8700 (LWP 3249)]
[Thread 0x7fff96bf4700 (LWP 3248) exited]
[New Thread 0x7fff96bf4700 (LWP 3250)]
[New Thread 0x7fff83df3700 (LWP 3251)]

(midori4:3241): Gtk-WARNING **: BookmarksAdd: missing action BookmarksAdd
[Thread 0x7fff96bf4700 (LWP 3250) exited]
[Thread 0x7fff973f5700 (LWP 3247) exited]
[New Thread 0x7fff973f5700 (LWP 3252)]
[New Thread 0x7fff96bf4700 (LWP 3253)]


Une fois là tu fais tes recherches, comme d'habitude… et tu surveilles gdb. Si le prompt t'es rendu, saisis la commande "continue" (sans les guillemets). Et tu fais ça jusqu'à ce que tu aies un crash. (C'est visible dans la console gdb). Et si tu en arrives là, il faudrait un fil dédié à Midori, pour pouvoir faire un rapport de bug. Dans cette section par exemple: Logiciels.

* Et une fois là je crois que c'est sur le chan de debian-mentors que je vais faire une recherche: en paternité de paquet.  :o

PS: y'a pas un ppa avec une version récente, pour Trusty ?
sudo add-apt repository ppa:midori/ppa
Je note d'ajouter le ppa à Bento Trusty.
https://launchpad.net/~midori/+archive/ubuntu/ppa

Citer
midori    0.5.9-1~utopic~ppa1    frenchy82 (2014-11-22)

* Fait, vérifié que le paquet n'est pas déclaré orphelin, et mail envoyé.

Good leaders being scarce, following yourself is allowed.

Hors ligne avercamp

  • Néophyte
  • *
  • Messages: 35
Re : Bento à l'essai.
« Réponse #6 le: 14 février 2015 à 00:32:48 »
[francois@francois-KT400-8235:~]$ gdb /usr/bin/midori
Le programme « gdb » peut être trouvé dans les paquets suivants :
 * gdb
 * gdb-minimal
Essayez : sudo apt-get install <paquet sélectionné>
[francois@francois-KT400-8235:~]$ GNU gdb (GDB) 7.8.2
bash: Erreur de syntaxe près du symbole inattendu « ( »
[francois@francois-KT400-8235:~]$ Copyright (C) 2014 Free Software Foundation, Inc.
bash: Erreur de syntaxe près du symbole inattendu « C »
[francois@francois-KT400-8235:~]$ License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
bash: Erreur de syntaxe près du symbole inattendu « newline »
[francois@francois-KT400-8235:~]$ This is free software: you are free to change and redistribute it.
This : commande introuvable
[francois@francois-KT400-8235:~]$ There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
There : commande introuvable
[francois@francois-KT400-8235:~]$ and "show warranty" for details.
Le programme « and » n'est pas encore installé. Vous pouvez l'installer en tapant :
sudo apt-get install and
[francois@francois-KT400-8235:~]$ This GDB was configured as "x86_64-unknown-linux-gnu".
This : commande introuvable
[francois@francois-KT400-8235:~]$ Type "show configuration" for configuration details.
La commande « Type » est introuvable, vouliez-vous dire :
 La commande « pype » du paquet « pype » (universe)
Type : commande introuvable
[francois@francois-KT400-8235:~]$ For bug reporting instructions, please see:
La commande « For » est introuvable, vouliez-vous dire :
 La commande « vor » du paquet « vor » (universe)
 La commande « sor » du paquet « pccts » (universe)
 La commande « tor » du paquet « tor » (universe)
For : commande introuvable
[francois@francois-KT400-8235:~]$ <http://www.gnu.org/software/gdb/bugs/>.
bash: http://www.gnu.org/software/gdb/bugs/: Aucun fichier ou dossier de ce type
[francois@francois-KT400-8235:~]$ Find the GDB manual and other documentation resources online at:
La commande « Find » est introuvable, vouliez-vous dire :
 La commande « find » du paquet « findutils » (main)
Find : commande introuvable
[francois@francois-KT400-8235:~]$ <http://www.gnu.org/software/gdb/documentation/>.
bash: http://www.gnu.org/software/gdb/documentation/: Aucun fichier ou dossier de ce type
[francois@francois-KT400-8235:~]$ For help, type "help".
La commande « For » est introuvable, vouliez-vous dire :
 La commande « sor » du paquet « pccts » (universe)
 La commande « vor » du paquet « vor » (universe)
 La commande « tor » du paquet « tor » (universe)
For : commande introuvable
[francois@francois-KT400-8235:~]$ Type "apropos word" to search for commands related to "word"...
La commande « Type » est introuvable, vouliez-vous dire :
 La commande « pype » du paquet « pype » (universe)
Type : commande introuvable
[francois@francois-KT400-8235:~]$ Reading symbols from /usr/bin/midori...(no debugging symbols found)...done.
bash: Erreur de syntaxe près du symbole inattendu « ( »
[francois@francois-KT400-8235:~]$ (gdb) run
bash: Erreur de syntaxe près du symbole inattendu « run »

Tentative d'installation de gdb avec apt-get

[francois@francois-KT400-8235:~]$ sudo apt-get install gdb
[sudo] password for francois:
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  apt-clone archdetect-deb dpkg-repack gir1.2-appindicator3-0.1
  gir1.2-javascriptcoregtk-3.0 gir1.2-json-1.0 gir1.2-soup-2.4
  gir1.2-timezonemap-1.0 gir1.2-webkit-3.0 gir1.2-xkl-1.0 libdebian-installer4
  libjson-glib-1.0-0 libjson-glib-1.0-common libsoup-gnome2.4-1
  libtimezonemap1 localechooser-data lvm2 lzma python3-cairo python3-gi-cairo
  python3-icu python3-pam rdate watershed
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
  libpython3.4
Paquets suggérés :
  gdb-doc gdbserver
Paquets recommandés :
  libc-dbg
Les NOUVEAUX paquets suivants seront installés :
  gdb libpython3.4
0 mis à jour, 2 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 3 319 ko dans les archives.
Après cette opération, 9 906 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de : 1 http://fr.archive.ubuntu.com/ubuntu/ trusty/main libpython3.4 i386 3.4.0-2ubuntu1 [1 215 kB]
Réception de : 2 http://fr.archive.ubuntu.com/ubuntu/ trusty-updates/main gdb i386 7.7.1-0ubuntu5~14.04.2 [2 104 kB]
3 319 ko réceptionnés en 11s (281 ko/s)                                       
Sélection du paquet libpython3.4:i386 précédemment désélectionné.
(Lecture de la base de données... 130590 fichiers et répertoires déjà installés.)
Préparation du décompactage de .../libpython3.4_3.4.0-2ubuntu1_i386.deb ...
Décompactage de libpython3.4:i386 (3.4.0-2ubuntu1) ...
Sélection du paquet gdb précédemment désélectionné.
Préparation du décompactage de .../gdb_7.7.1-0ubuntu5~14.04.2_i386.deb ...
Décompactage de gdb (7.7.1-0ubuntu5~14.04.2) ...
Traitement déclenché pour  man-db (2.6.7.1-1ubuntu1) ...
Paramétrage de libpython3.4:i386 (3.4.0-2ubuntu1) ...
Paramétrage de gdb (7.7.1-0ubuntu5~14.04.2) ...
Traitement déclenché pour  libc-bin (2.19-0ubuntu6.5) ...
[francois@francois-KT400-8235:~]$




Hors ligne melodie

  • Administrateur
  • Membre Héroïque
  • *****
  • Messages: 1682
    • Citrotux
Re : Bento à l'essai.
« Réponse #7 le: 14 février 2015 à 03:10:21 »
Salut,

Je vois que tu as réussi à installer gdb. :)

Si tu veux, tu peux déboguer, maintenant.
Good leaders being scarce, following yourself is allowed.

Hors ligne melodie

  • Administrateur
  • Membre Héroïque
  • *****
  • Messages: 1682
    • Citrotux
Re : Bento à l'essai.
« Réponse #8 le: 14 février 2015 à 03:22:45 »
J'essaie de comprendre à quoi correspond ce que tu as posté. Apparemment, tu as dû mal comprendre ce que j'avais moi-même posté avant. Pour expliquer simplement, quand j'ai posté ceci:

Citer
$ gdb /usr/bin/midori
GNU gdb (GDB) 7.8.2
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/midori...(no debugging symbols found)...done.
(gdb)

Ce qu'il faut comprendre, c'est ça : j'ai ouvert une console en simple utilisateur, de là le signe "$" en début de ligne (je n'ai pas copié toute l'invite de commande, juste le signe final qui permet, par convention, de comprendre qu'il s'agit d'un terminal en mode simple utilisateur).

$

À la suite, j'ai indiqué la ligne de commande:
$ gdb /usr/bin/midori

Et ensuite, j'ai aussi copié ce que la console a retourné ! Donc, après avoir tapé:
gdb /usr/bin/midori dans le terminal, j'ai appuyé sur la touche "Entrée", ce qui a généré la sortie, c'est à dire tout ce qui vient après la ligne $ gdb /usr/bin/midori.

Autrement dit, la suite est le résultat de la ligne de commande gdb /usr/bin/midori, laquelle est lancée en tant que simple utilisateur.

Ce ne sont donc pas des lignes à taper en tant que lignes de commandes ! La fin du bloc de texte qui suit la commande avec gdb, c'est tout simplement une invite de commande "gdb", comme ceci:
(gdb)

c'est la dernière ligne après cette ligne-là en fait:
Citer
Reading symbols from /usr/bin/midori...(no debugging symbols found)...done.
(gdb)

et c'est là que ensuite, tu tapes "run":

(gdb) run
(l'invite est "(gdb)", et tu tapes "run" à la suite).

Enfin, ton terminal te l'a bien dit, en toutes lettres:
$ gdb /usr/bin/midori
Le programme « gdb » peut être trouvé dans les paquets suivants :
 * gdb
 * gdb-minimal
Essayez : sudo apt-get install <paquet sélectionné>

Note que je ne connais pas "gdb-minimal", je n'ai aucune idée de la différence qu'il pourrait y avoir avec le gdb "habituel". Bref, "sudo apt-get install gdb" était la bonne réponse.

Le terminal t'a aussi indiqué que tu avais des paquets pouvant être supprimés, avec "apt-get autoremove". Il te faudrait taper "sudo apt-get autoremove", et ces divers paquets qui sont des dépendances qui n'ont plus de parents, seront supprimées. C'est dans cette partie là de tes retours:
Citer
Tentative d'installation de gdb avec apt-get

[francois@francois-KT400-8235:~]$ sudo apt-get install gdb
[sudo] password for francois:
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  apt-clone archdetect-deb dpkg-repack gir1.2-appindicator3-0.1
  gir1.2-javascriptcoregtk-3.0 gir1.2-json-1.0 gir1.2-soup-2.4
  gir1.2-timezonemap-1.0 gir1.2-webkit-3.0 gir1.2-xkl-1.0 libdebian-installer4
  libjson-glib-1.0-0 libjson-glib-1.0-common libsoup-gnome2.4-1
  libtimezonemap1 localechooser-data lvm2 lzma python3-cairo python3-gi-cairo
  python3-icu python3-pam rdate watershed

Veuillez utiliser « apt-get autoremove » pour les supprimer.

note que "sudo apt-get autoremove" n'a pas besoin d'arguments. Il se suffit à lui-même pour faire le travail.

Pour toutes les autres commandes, c'est pareil : tu as le prompt, (=invite de commande), à la suite sur la même ligne, l'invite de commande, et une fois celle-ci saisie, on valide avec la touche "Entrée" (cette partie ne te pose apparemment pas de problème) et ensuite, les lignes qui suivent sont la sortie de la ligne de commande/le résultat. (Dénommé aussi "sortie standard").


Good leaders being scarce, following yourself is allowed.

Hors ligne avercamp

  • Néophyte
  • *
  • Messages: 35
Re : Bento à l'essai.
« Réponse #9 le: 14 février 2015 à 08:50:04 »
[francois@francois-KT400-8235:~]$  gdb /usr/bin/midori
GNU gdb (Ubuntu 7.7.1-0ubuntu5~14.04.2) 7.7.1
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/midori...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/bin/midori
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[New Thread 0xb2589b40 (LWP 3485)]
[New Thread 0xb1c5ab40 (LWP 3486)]
[New Thread 0xb12ffb40 (LWP 3487)]
[New Thread 0xb08ffb40 (LWP 3488)]
[New Thread 0xaffafb40 (LWP 3492)]
[New Thread 0xaf7aeb40 (LWP 3493)]
[Thread 0xaffafb40 (LWP 3492) exited]
[New Thread 0xaffafb40 (LWP 3496)]
[New Thread 0xa8710b40 (LWP 3497)]
[New Thread 0xa7f0fb40 (LWP 3498)]
[New Thread 0xa770eb40 (LWP 3499)]
[New Thread 0xa6f0db40 (LWP 3500)]
[New Thread 0xa670cb40 (LWP 3501)]
[New Thread 0xa566cb40 (LWP 3502)]
[New Thread 0xa4e6bb40 (LWP 3503)]
[New Thread 0xa466ab40 (LWP 3504)]
[New Thread 0xa3e69b40 (LWP 3505)]
[Thread 0xa6f0db40 (LWP 3500) exited]
[Thread 0xa670cb40 (LWP 3501) exited]
[Thread 0xa770eb40 (LWP 3499) exited]
[Thread 0xa3e69b40 (LWP 3505) exited]
[Thread 0xa8710b40 (LWP 3497) exited]
[Thread 0xaf7aeb40 (LWP 3493) exited]
[Thread 0xa466ab40 (LWP 3504) exited]
[Thread 0xa4e6bb40 (LWP 3503) exited]
[Thread 0xa7f0fb40 (LWP 3498) exited]
[Thread 0xa566cb40 (LWP 3502) exited]
[New Thread 0xa566cb40 (LWP 3513)]
[New Thread 0xa7f0fb40 (LWP 3514)]
[New Thread 0xa4e6bb40 (LWP 3515)]

Program received signal SIGILL, Illegal instruction.
0xa5a20f55 in ?? ()

La dernière ligne correspond à une recherche avec google, avec le mot forum

Hors ligne melodie

  • Administrateur
  • Membre Héroïque
  • *****
  • Messages: 1682
    • Citrotux
Re : Bento à l'essai.
« Réponse #10 le: 14 février 2015 à 14:20:20 »
Salut,

Si tu mets à jour Midori en installant le ppa que j'ai cité, peux-tu retenter gdb ?

sudo add-apt repository ppa:midori/ppa
sudo apt-get update
sudo apt-get install midori
Et pourrais-tu mettre les retours de tes lignes de commandes entre balises "code" ? (C'est le signe # dans les boutons de l'éditeur)

Good leaders being scarce, following yourself is allowed.

Hors ligne avercamp

  • Néophyte
  • *
  • Messages: 35
Re : Bento à l'essai.
« Réponse #11 le: 14 février 2015 à 16:19:24 »
[francois@francois-KT400-8235:~]$ sudo add-apt repository ppa:midori/ppa
[sudo] password for francois:
sudo: add-apt: command not found
[francois@francois-KT400-8235:~]$

Hors ligne melodie

  • Administrateur
  • Membre Héroïque
  • *****
  • Messages: 1682
    • Citrotux
Re : Bento à l'essai.
« Réponse #12 le: 15 février 2015 à 00:29:28 »
Salut,

J'ai dû taper trop vite, c'était "add-apt-repository". Laisse Midori de côté pour l'instant, un des bons packageurs Debian travaille en ce moment sur une version à jour. Ce sera dans les dépôts dans quelques temps, sans doute assez rapidement.

Good leaders being scarce, following yourself is allowed.

Hors ligne avercamp

  • Néophyte
  • *
  • Messages: 35
Re : Bento à l'essai.
« Réponse #13 le: 16 février 2015 à 13:20:06 »
Citer
Laisse Midori de côté pour l'instant

Je dois m'absenter. Je ferai signe à mon retour.

Un brin de fantaisie.

Un jour Bento naquit,
D'un coup de baguette
Magique, la bonne fée Mélodie
Lui donna vie.
La voila toute gaite.

Bonjour, cest moi, Bento !
J'arrive ce tantot.

Il faut l'imaginer
Par Brassens chanté
Scandant sur sa guitare
D'un air fêtard.